from openpyxl import load_workbook

# 書式設定
from openpyxl.styles import Font

wb = load_workbook('テスト.xlsx')
ws = wb.active

ws.cell(1, 1).value = 'あいうえお'

# 書式の名前は、Excelからコピペがいい → 全角半角を間違えると反映させない
# ws.cell(1, 1).font = Font(name='HGP行書体', color='FF0000', size=18)

# 太文字 bold・ 斜体 italic・取り消し線 strikethrough
# 下線 underline: single double
# 上付き・下付き vertAlign: superscript subscript
# 他省略…
ws.cell(1, 1).font = Font(name='HGP行書体', color='FF0000', size=18,
                          bold=True, italic=True, strikethrough=True,
                          underline='double', vertAlign='superscript')

wb.save('出力.xlsx')
