from openpyxl import load_workbook

# 文字配置
from openpyxl.styles import Alignment

wb = load_workbook('テスト.xlsx')
ws = wb.active

ws.cell(2, 2).value = 'あいう'
ws.cell(3, 2).value = 'あいうえおかきくけこ'
ws.cell(4, 2).value = 'あいうえおかきくけこ'

# 文字配置

# -- 横方向: horizontal --
# 左詰め left 中央揃え center 右詰め right
# -- 縦方向: vertical --
# 上詰め top 中央揃え center 下詰め bottom
# -- 折り返し表示: wrap_text --
# False True
# -- 縮小して全体を表示: shrink_to_fit --
# False True

ws.cell(2, 2).alignment = Alignment(horizontal='right', vertical='top')

ws.cell(3, 2).alignment = Alignment(horizontal='left',
                                    vertical='top',
                                    wrap_text=True)

ws.cell(4, 2).alignment = Alignment(horizontal='right',
                                    vertical='center',
                                    shrink_to_fit=True)

wb.save('出力.xlsx')
