from openpyxl import load_workbook


wb = load_workbook('テスト.xlsx')
ws = wb.active

ws.cell(2, 2).value = 'あいうえお'
ws.cell(3, 2).value = 123456789

# 表示形式

# (例)
# yyyy"年"m"月"d"日" : 2022年1月1日(年月日)
# h"時"mm"分"ss"秒" : 5時01分05秒(時間)
# 0.00 : 5.00(小数点以下2桁)
# #,##0 : 1,000(3桁カンマ区切り)
# 0% : 5%(パーセント)
# "\"#,##0"-" : ￥1,000-(円)
# @様 : ○○様(@が入力文字)

ws.cell(2, 2).number_format = '@様'
# ws.cell(3, 2).number_format = r'"\"#,##0"-"'
ws.cell(3, 2).number_format = '0;"▲ "0'

wb.save('出力.xlsx')
